VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
vmware::vapi::metadata::metamodel::StructureInfo Class Reference

The `StructureInfo` class contains the metamodel information of all the field elements, constant elements and enumeration elements contained in the structure element. More...

List of all members.

## Classes
class | Type
| The `StructureInfo.Type` enumerated type defines the kind of this structure element. More...
## Public Member Functions
| StructureInfo ()
| Creates a default new instance.
string | GetName ()
| Dot separated name of the structure element.
void | SetName (string name)
| Dot separated name of the structure element.
vmware.vapi.metadata.metamodel.StructureInfo.Type | Get_Type ()
| Type of the structure.
void | SetType (vmware.vapi.metadata.metamodel.StructureInfo.Type type)
| Type of the structure.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.metamodel.EnumerationInfo > | GetEnumerations ()
| Metamodel information of all the enumeration elements contained in the structure element.
void | SetEnumerations (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.EnumerationInfo > enumerations)
| Metamodel information of all the enumeration elements contained in the structure element.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.metamodel.ConstantInfo > | GetConstants ()
| Metamodel information of all the constant elements contained in the structure element.
void | SetConstants (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ConstantInfo > constants)
| Metamodel information of all the constant elements contained in the structure element.
global::System.Collections.Generic.List < vmware.vapi.metadata.metamodel.FieldInfo > | GetFields ()
| Metamodel information of all the field elements.
void | SetFields (global::System.Collections.Generic.List< vmware.vapi.metadata.metamodel.FieldInfo > fields)
| Metamodel information of all the field elements.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.metamodel.ElementMap > | GetMetadata ()
| Generic metadata elements for the structure element.
void | SetMetadata (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ElementMap > metadata)
| Generic metadata elements for the structure element.
string | GetDocumentation ()
| English language documentation for a structure element.
void | SetDocumentation (string documentation)
| English language documentation for a structure element.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `StructureInfo` class contains the metamodel information of all the field elements, constant elements and enumeration elements contained in the structure element.

In the interface definition language, API designers have the ability to include all the fields from one structure to another structure. This is done by using an annotation `` on the structure in which we want to add the fields. If this annotation is present, the list of fields in the `StructureInfo` will also contain the fields that are being included. The annotation information is also retained in the StructureInfo.metadata element as well.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::StructureInfo::StructureInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::metamodel::StructureInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::metamodel::StructureInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::metamodel::StructureInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::metamodel::StructureInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::metamodel::StructureInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::metamodel::StructureInfo::Equals | ( | object | obj | ) | `[inline]`

vmware.vapi.metadata.metamodel.StructureInfo.Type vmware::vapi::metadata::metamodel::StructureInfo::Get_Type | ( |  | ) | `[inline]`

Type of the structure.

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.metamodel.ConstantInfo> vmware::vapi::metadata::metamodel::StructureInfo::GetConstants | ( |  | ) | `[inline]`

Metamodel information of all the constant elements contained in the structure element.

The key in the map is the name of the constant element and the value in the map is the metamodel information for the constant element.

string vmware::vapi::metadata::metamodel::StructureInfo::GetDocumentation | ( |  | ) | `[inline]`

English language documentation for a structure element.

It can contain HTML markup and Javadoc tags. The first sentence of the structure documentation is a complete sentence that identifies the structure by name and summarizes the purpose of the structure.

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.metamodel.EnumerationInfo> vmware::vapi::metadata::metamodel::StructureInfo::GetEnumerations | ( |  | ) | `[inline]`

Metamodel information of all the enumeration elements contained in the structure element.

The key in the map is the identifier of the enumeration element and the value is the metamodel information of the enumeration element. When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.enumeration` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.enumeration` .

global::System.Collections.Generic.List<vmware.vapi.metadata.metamodel.FieldInfo> vmware::vapi::metadata::metamodel::StructureInfo::GetFields | ( |  | ) | `[inline]`

Metamodel information of all the field elements.

The order of the field elements in the list matches the order in which the fields are defined in the service.

override int vmware::vapi::metadata::metamodel::StructureInfo::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.metamodel.ElementMap> vmware::vapi::metadata::metamodel::StructureInfo::GetMetadata | ( |  | ) | `[inline]`

Generic metadata elements for the structure element.

The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The MetadataIdentifier contains possible string values for keys in the map.

string vmware::vapi::metadata::metamodel::StructureInfo::GetName | ( |  | ) | `[inline]`

Dot separated name of the structure element.

The segments in the name reflect the organization of the APIs. The format of each segment is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention.

void vmware::vapi::metadata::metamodel::StructureInfo::SetConstants | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ConstantInfo > | constants | ) | `[inline]`

Metamodel information of all the constant elements contained in the structure element.

The key in the map is the name of the constant element and the value in the map is the metamodel information for the constant element.

void vmware::vapi::metadata::metamodel::StructureInfo::SetDocumentation | ( | string | documentation | ) | `[inline]`

English language documentation for a structure element.

It can contain HTML markup and Javadoc tags. The first sentence of the structure documentation is a complete sentence that identifies the structure by name and summarizes the purpose of the structure.

void vmware::vapi::metadata::metamodel::StructureInfo::SetEnumerations | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.EnumerationInfo > | enumerations | ) | `[inline]`

Metamodel information of all the enumeration elements contained in the structure element.

The key in the map is the identifier of the enumeration element and the value is the metamodel information of the enumeration element. When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.enumeration` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.enumeration` .

void vmware::vapi::metadata::metamodel::StructureInfo::SetFields | ( | global::System.Collections.Generic.List< vmware.vapi.metadata.metamodel.FieldInfo > | fields | ) | `[inline]`

Metamodel information of all the field elements.

The order of the field elements in the list matches the order in which the fields are defined in the service.

void vmware::vapi::metadata::metamodel::StructureInfo::SetMetadata | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ElementMap > | metadata | ) | `[inline]`

Generic metadata elements for the structure element.

The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The MetadataIdentifier contains possible string values for keys in the map.

void vmware::vapi::metadata::metamodel::StructureInfo::SetName | ( | string | name | ) | `[inline]`

Dot separated name of the structure element.

The segments in the name reflect the organization of the APIs. The format of each segment is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention.

void vmware::vapi::metadata::metamodel::StructureInfo::SetType | ( | vmware.vapi.metadata.metamodel.StructureInfo.Type | type | ) | `[inline]`

Type of the structure.

override string vmware::vapi::metadata::metamodel::StructureInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- StructureInfo.cs